/**
 * Description:	AJAX Post Preview
 * URI:	
 * Author: Vitaliy Ralle, Sumanai
 * Email: email4vit [] gmail.com
 * License:	MIT
 * License URI:	http://www.gnu.org/licenses/gpl-3.0.html
 */

!function ($) {
	/* Preview viewtopic*/
	$(function(){
		function preview() {
			var form = document.getElementById("postform")
			if (form.form_token.value == 0) {
				var text = form.textContent || form.innerText
				var token = /[a-z0-9]{38,40}/g.exec(text);
				form.form_token.value = token[0]
				var time = /\.val\('(\d{10})/g.exec(text);
				form.creation_time.value = time[1]
				// console.log("text:",text,"token:",token[0],"time:",time[1])
			}
			var $form = []
			$form = $(form).serialize() + '&preview='
			var url = form.action
				.replace('posting.php', 'postingajax.php')
			$
				.post( url, $form )
				.done(function(data){
					if ($("#preview").length){
						$preview = $("#preview")
						$preview.next("hr").remove()
						$preview.remove()
					}
					$("#preview-error").remove()
					$(".post:last").after(data)
					var target = document.getElementById("preview-error") || document.getElementById("preview")
					target &&
						$('html, body').animate({
							scrollTop: $(target).offset().top
						}, 200)
				})
		}
 		
		$(document).on('click', '.section-viewtopic input[name=preview]', function(e) {
			e.preventDefault()
			e.stopPropagation()
			preview()
		})
	})
}(window.jQuery)